Unify and manage your data

Enable synchronous consistency in Reltio Lightspeed

Learn how to enable synchronous consistency in Reltio Lightspeed at the tenant, entity type, or request level.

Prerequisites
Note: Reltio Lightspeed is only available on Amazon Web Services (AWS) and Google Cloud Platform (GCP).

You need ROLE_ADMIN_TENANT Access permissions or a custom role with MDM:config.tenant UPDATE permission.

You can enable synchronous consistency in one of the following ways, depending on the scope you need:

  • Tenant level: Applies strong consistency across all Predicate API reads for the tenant.
  • Entity type level: Overrides the tenant setting for a specific entity type in the layer-3 configuration.
  • Request level: Applies strong consistency to a single API request using a query parameter.

You don't need to configure all three levels. Choose the option that matches your consistency requirement.

To enable synchronous consistency in Reltio Lightspeed:
  1. To enable synchronous consistency at the tenant level, configure the physical tenant settings.
    Note: If you don't have access to update the physical configuration submit a Support request to apply the change.
    1. Access your tenant’s physical configuration using the /reltio/tenants/<tenantId> endpoint.
    2. Add the following block to the config under predicateAPIConfig:
      
      "predicateAPIConfig": {
        "enabled": true,
        "consistency": "strong"
      }
              
    3. Use the PUT Tenant Configuration API operation to save changes.
  2. To enable synchronous consistency at the entity type level, override the tenant setting in the layer-3 configuration.
    1. Apply the following configuration at the entity type level.
      See Apply an L3 to a tenant to apply this configuration:
      
      "indexingConfig": {
        "predicateEnabled": true,
        "consistency": "strong"
      }
              
  3. To enable synchronous consistency at the request level, add strongDDNConsistency to options:
    
    POST /entities?options=strongDDNConsistency
            
After you apply your chosen configuration, write operations block until the predicate index confirms availability. Predicate API reads return consistent results at the scope you configured — tenant, entity type, or request.
For a reference JSON and configuration hierarchy, see Configuration options for synchronous consistency in Reltio Lightspeed.